package org.ow2.odis.sql;

import org.ow2.odis.connection.AbstractConnectionfactory;
import org.ow2.odis.connection.IConnectionIn;
import org.ow2.odis.connection.context.IContextualConnectionOut;
import org.ow2.odis.model.AbstractAttribute;
import org.ow2.odis.model.AbstractConnectionAttribute;

/**
 * @author mobo7205
 */
public class SqlConnectionFactory extends AbstractConnectionfactory {
    /*
     * (non-Javadoc)
     * @see
     * com.francetelecom.odis.component.connexion.IConnectionFactory#newContextualConnexionOut(com.francetelecom.odis.model.AbstractCnxAttribut
     * )
     */
    public IContextualConnectionOut newContextualConnexionOut(
            AbstractConnectionAttribute attribute) {
        return new SqlConnectionOut((SqlConnectionAttribute) attribute);
    }

    /*
     * (non-Javadoc)
     * @see
     * com.francetelecom.odis.component.connexion.IConnectionFactory#newContextualConnexionOut(com.francetelecom.odis.model.AbstractCnxAttribut
     * )
     */
    public IConnectionIn newConnectionIn(AbstractConnectionAttribute attribut) {
        return new SqlConnectionIn((SqlConnectionAttribute) attribut);
    }

    /*
     * (non-Javadoc)
     * @see com.francetelecom.odis.component.connexion.IConnectionFactory#newAttribut(com.francetelecom.odis.model.AbstractAttribut)
     */
    public AbstractConnectionAttribute newAttribute(AbstractAttribute attribute) {
        return new SqlConnectionAttribute(attribute);
    }

    /**
	 * 
	 */
    protected String getTypeName() {
        return ("SQL");
    }
}
