package org.ow2.odis.sql;

import java.sql.SQLException;
import java.util.List;

import org.ow2.odis.core.IProtocol;
import org.ow2.odis.exception.OdisAttributeException;


/**
 * The aim of this interface is to define a protocol this protocol is able to create byte array from a stream.
 * @author Beyler Olivier FranceTelecom R&D
 */
public interface IProtocolIn extends IProtocol {
    /**
     * Read.
     * @return the list of the byte[]
     */
    public List read() throws OdisAttributeException, SQLException;
}
