package org.ow2.odis.sql;

import java.sql.SQLException;

import org.ow2.odis.connection.context.ContextMessage;
import org.ow2.odis.core.IProtocol;



/**
 * The aim of this interface is to define a protocol. This protocol is able to put a byte array to a stream.
 * @author Beyler Olivier FranceTelecom R&D
 */
public interface IProtocolOut extends IProtocol {
    /**
     * Write.
     * @param message the message
     * @return true, if successful
     */
    public boolean write(ContextMessage message) throws SQLException;
}
