package org.ow2.odis.sql;

import org.objectweb.util.monolog.Monolog;
import org.objectweb.util.monolog.api.Logger;
import org.ow2.odis.core.AbstractConnectionOut;
import org.ow2.odis.core.AbstractKeepConnexion;

public class SqlConnectionOut extends AbstractConnectionOut {
    /** logger of this class. */
    static final Logger LOGGER = Monolog.initialize().getLogger(
            SqlConnectionOut.class.getName());

    /**
     * Instantiates a new abstract connection out.
     * @param attribute the attribute
     */
    public SqlConnectionOut(SqlConnectionAttribute attribute) {
        super(attribute);
    }

    /*
     * (non-Javadoc)
     * @see com.francetelecom.odis.component.connexion.context.IContextualConnexionOut#usedAsTwoWay()
     */
    public void usedAsTwoWay() {
    }

    /*
     * (non-Javadoc)
     * @see com.francetelecom.odis.core.AbstractConnection#getKeepConnection()
     */
    protected AbstractKeepConnexion getKeepConnection() {
        return new SqlKeepConnectionSender(this, (SqlConnectionAttribute) attribute);
    }
}
