package org.ow2.odis.sql;

import org.ow2.odis.admin.IPlugin;
import org.ow2.odis.connection.ConnectionFactory;

/**
 * @author mobo7205
 */
public class SqlPlugin implements IPlugin {
    /** The factory. */
    private SqlConnectionFactory factory = new SqlConnectionFactory();

    /*
     * (non-Javadoc)
     * @see com.francetelecom.odis.component.admin.IPlugin#getDescription()
     */
    public String getDescription() {
        StringBuffer buffer = new StringBuffer("SQLConnection :");
        buffer.append(" Allow send SQL query.");
        return buffer.toString();
    }

    /*
     * (non-Javadoc)
     * @see com.francetelecom.odis.component.admin.IPlugin#getName()
     */
    public String getName() {
        return "SQLPlugin";
    }

    /*
     * (non-Javadoc)
     * @see com.francetelecom.odis.component.admin.IPlugin#bind()
     */
    public void bind() {
        ConnectionFactory.getInstance().addFactory("SQL", factory);
    }

    /*
     * (non-Javadoc)
     * @see com.francetelecom.odis.component.admin.IPlugin#unbind()
     */
    public void unbind() {
        ConnectionFactory.getInstance().removeFactory("SQL", factory);
    }
}
